Bug 1004446 - 0.13.1 is available
0.13.1 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pyOpenSSL (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
https://mail.python.org/pipermail/pyo...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 12:17 EDT by Matěj Cepl
Modified: 2013-09-22 20:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: pyOpenSSL-0.13.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-21 04:36:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2013-09-04 12:17:09 EDT
[pyOpenSSL-Users] pyOpenSSL 0.13.1
exarkun at twistedmatrix.com
Wed Sep 4 18:07:27 CEST 2013

Hello all,

Please be advised that pyOpenSSL 0.13.1 has now been released.  This is 
a security and bugfix-only release.  It includes two changes authored by 
Christian Heimes.

In all prior releases, the string formatting of subjectAltName 
X509Extension instances incorrectly truncated fields of the name when 
encountering NUL.  String formatting of this extension will now include 
the NUL byte (escaped) and any following bytes.

Additionally, a bug causing memory to be leaked for each call to 
X509.get_extension has been fixed.

You can find the new release on the PyPI project page:

   https://pypi.python.org/pypi/pyOpenSSL

Due to technical difficulties, Windows MSI installers for the package 
are not available.  These installers may be added later if I can figure 
out how to convince PyPI to allow me to upload them.

Jean-Paul
Comment 1 Fedora Update System 2013-09-05 01:54:54 EDT
pyOpenSSL-0.13.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pyOpenSSL-0.13.1-1.fc19
Comment 2 Fedora Update System 2013-09-05 01:55:06 EDT
pyOpenSSL-0.13.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pyOpenSSL-0.13.1-1.fc20
Comment 3 Fedora Update System 2013-09-05 01:55:15 EDT
pyOpenSSL-0.13.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pyOpenSSL-0.13.1-1.fc18
Comment 4 Fedora Update System 2013-09-05 13:51:56 EDT
Package pyOpenSSL-0.13.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyOpenSSL-0.13.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15843/pyOpenSSL-0.13.1-1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-21 04:36:14 EDT
pyOpenSSL-0.13.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-09-21 04:36:32 EDT
pyOpenSSL-0.13.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-22 20:19:21 EDT
pyOpenSSL-0.13.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.